function dataStructure =buildPseudoVintages(dataStructure)


%unpack relevant items
dataMatrix =dataStructure.dataMatrix;

selectT    =dataStructure.selectT;
selectN    =dataStructure.selectN;

dataInfo   =dataStructure.dataInfo;

%last vintage
lastV      =dataMatrix(selectT,selectN);

dates      =dataStructure.dates;


% . build pseudo vintages . . . . . . . . . . . . . . . . . . . . . . . . %

releaseDates =dataStructure.calendar.dates(:,selectN);

vintageID    =unique(releaseDates(~isnan(releaseDates)));
vintageID    =vintageID( vintageID>=dataInfo.startForecast & vintageID<=dataInfo.endForecast );

vintageT     =dataStructure.calendar.refP;

nV           =numel(vintageID);
n            =sum(selectN);

dataVintages =cell(nV,1);

for t=1:nV
    
    V =nan(size(lastV));
    for j=1:n
        
        findR =find(releaseDates(:,j)<= vintageID(t),1,'last');
        findT =find(dates == vintageT(findR));
       
        V(1:findT,j) =lastV(1:findT,j);
    end    
    
    dataVintages{t}=V;
end


%. load data structure . . . . . . . . . . . . . . . . . . . . . . . . . .%

%vintages
dataStructure.vintages        =dataVintages;
dataStructure.vintageID       =vintageID;
dataStructure.lastV           =lastV;



%data info
dataStructure.dataName        =dataStructure.dataName(selectN);
dataStructure.dataDescription =dataStructure.dataDescription(selectN);
dataStructure.dataSource      =dataStructure.dataSource(selectN);
dataStructure.dataFrequency   =dataStructure.dataFrequency(selectN);
dataStructure.dataTransform   =dataStructure.dataTransform(selectN,:);
dataStructure.dataGroups      =dataStructure.dataGroups(selectN);

dataStructure.blocks          =dataStructure.blocks(selectN,:);

%calendar
dataStructure.calendar.dates  =dataStructure.calendar.dates(:,selectN);

%counters
dataStructure.nV =nV;
dataStructure.nM =sum(ismember(dataStructure.dataFrequency,'M'));
dataStructure.nQ =sum(ismember(dataStructure.dataFrequency,'Q'));


%drop unnecesary items
dataStructure =rmfield(dataStructure,'dataMatrix');
dataStructure =rmfield(dataStructure,'dataInfo');
dataStructure =rmfield(dataStructure,'selectT');
dataStructure =rmfield(dataStructure,'selectN');
